Subject: Re: Bug#216768: apt: Confirmed under Lenny with several sources and pinning

From: Ivan Vilata i Balaguer <[email-masked]>
Date: Mon, 2 Nov 2009 21:10:14 +0100

David Kalnischkies (el 2009-11-02 a les 16:40:00 +0100) va dir::

> A user who mixed sources very likely mixes also packages.
> As a package doesn't need to depend on essential packages,
> apt tries to install in a dist(ribution)-upgrade ALL essential
> packages it can find in all sources to protect the user from
> dependency hell and as a bonus protect the user from doing something
> stupid: Removing a package which is/was/will be essential as it is
> maybe required by package on this system (who know how far your
> mixing goes, so better save than sorry as Ivan Vilata i Balaguer also
> said indirectly in his second message).

Umm, I forgot to issue the dist-upgrade command after setting up the pinning,
and that's why the new essential packages weren't installed.  However, running
``aptitude dist-upgrade`` doesn't install the new essential packages, while
``apt-get dist-upgrade`` does.  Do you think I should report this as a bug in
Aptitude?

Thanks for your comments,

::

  Ivan Vilata i Balaguer -- http://ivan.lovesgazpacho.net/